package com.unis.dev.modular.job.task;

import com.unis.common.timer.CommonTimerTaskRunner;
import com.unis.financialSupervision.modular.fsgrainoilstoragesummary.service.BizFsGrainOilStorageSummaryService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Slf4j
@Component
public class GrainOilStorageSummaryTaskRunner implements CommonTimerTaskRunner {

    @Resource
    private BizFsGrainOilStorageSummaryService bizFsGrainOilStorageSummaryService;

    @Override
    public void action() {

        log.info("------------原粮储备粮油库存情况表定时任务开始执行------------");
        bizFsGrainOilStorageSummaryService.grainOilStorageSummary();
        return;
    }
}











